NoSatisfiableMethodsException (Mule ESB 2.2.1 API)
Keywords: org.mule.model.resolvers.NoSatisfiableMethodsException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class NoSatisfiableMethodsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.model.resolvers.NoSatisfiableMethodsException

All Implemented Interfaces:
  Serializable

    public class NoSatisfiableMethodsException

extends MuleException

`NoSatisfiableMethodsException` is thrown by EntryPointResolvers when the service passed has no methods that meet the criteria of the configured EntryPointResolver.

See Also:
  `EntryPointResolver`, Serialized Form

Constructor Summary
`NoSatisfiableMethodsException(Object component, Class returnType)`
`NoSatisfiableMethodsException(Object component, Class[] args)`
`NoSatisfiableMethodsException(Object component, String methodName)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSatisfiableMethodsException

    public NoSatisfiableMethodsException(Object component,
                                         String methodName)

### NoSatisfiableMethodsException

    public NoSatisfiableMethodsException(Object component,
                                         Class[] args)

### NoSatisfiableMethodsException

    public NoSatisfiableMethodsException(Object component,
                                         Class returnType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.